Subject: Re: [PATCH] Documentation: remove unnecessary backslashes

From: Matt Kraai <[email-masked]>
Date: Wed, 20 Jan 2016 13:35:12 -0800

Hi,

On Wed, Jan 20, 2016 at 01:24:21PM -0500, Jeff King wrote:
> On Wed, Jan 20, 2016 at 09:21:37AM -0800, Matt Kraai wrote:
> > -'<refname>@\{<date>\}', e.g. 'master@\{yesterday\}', 'HEAD@\{5 minutes ago\}'::
> > +'<refname>@{<date>}', e.g. 'master@\{yesterday\}', 'HEAD@{5 minutes ago}'::
> 
> I see you didn't tweak the middle one here, because it _does_ look like
> an attribute. Does asciidoctor actually remove the backslashes there?

Yes, asciidoctor appears to remove the backslashes in some cases but
not others.  I removed the backslashes from the source if it did not
remove them.  I verified that the asciidoc output isn't affected.

> > -'<refname>@\{<n>\}', e.g. 'master@\{1\}'::
> > +'<refname>@{<n>}', e.g. 'master@\{1\}'::
> 
> Ditto here for "1". IMHO asciidoctor's behavior is somewhat crazy, as it
> means you have to know arcane quoting rules to get correct output (you
> cannot just err on the side of quoting). But it's probably still worth
> working around.

I couldn't find any documentation of asciidoctor's behavior.  I didn't
try figuring the behavior out from asciidoctor's source code.

-- 
Matt                                           https://ftbfs.org/~kraai/